@ECHO OFF
CLS
GOTO START
REM  ******************** \HSPF11\HSPF.BAT ***********************
REM  *       Author: D.W. Disney, Senior Systems Analyst         *
REM  *               OAO Corporation                             *
REM  *         Date: Friday, 14 February 1997.  Time: 11:25:31.  *
REM  *  Environment: Microway 486 B2T/50, DOS 6.10               *
REM  * Installation: OAO Corporation                             *
REM  *               U.S. Environmental Protection Agency        *
REM  *               NERL - Ecosystems Research Div., Athens, GA *
REM  *     Function: Execute HSPF model from DOS command line    *
REM  *     Calling                                               *
REM  *     Sequence: HSPF                                        *
REM  *        Input: Command line: none                          *
REM  *                      Other: none                          *
REM  *************************************************************
REM  ----- Label START ------------------------------------------------------
:START
IF "%1"=="DEBUG" GOTO CHECKEXE
IF "%1"=="debug" GOTO CHECKEXE
IF EXIST C:\00\HSPF\XHSPFX.EXE GOTO RUN_HSPF
GOTO ERROR1
REM  ----- Label CHECKEXE ---------------------------------------------------
:CHECKEXE
IF EXIST \HSPF11\XHSPFX.EXE GOTO RUN_HSPF
REM  ----- Label ERROR1 -----------------------------------------------------
:ERROR1
ECHO #
ECHO # ----------------------------------------------------------------------
ECHO #
ECHO ##  ERROR:  BAD OR MISSING XHSPFX.EXE FILE
ECHO #
ECHO #           The HSPF executable task image file XHSPFX.EXE is
ECHO #           not located in DOS sub-directory C:\00\HSPF.
ECHO #           This message could also indicate potential problems
ECHO #           concerning the location or existence of other HSPF
ECHO #           executable files.
ECHO #
ECHO #           Install and/or copy this file and all of its support
ECHO #           executable files to sub-directory C:\00\HSPF or contact
ECHO #           CEAM for assistance.
ECHO #
ECHO #   Press "<Enter>" key to return to DOS command prompt.
PAUSE >NUL
GOTO STOP
REM  ----- Label RUN_HSPF ---------------------------------------------------
:RUN_HSPF
IF "%1"=="DEBUG" TYPE \HSPF11\HSPFOPEN.SCR
IF "%1"=="debug" TYPE \HSPF11\HSPFOPEN.SCR
IF "%1"=="DEBUG" PAUSE >NUL
IF "%1"=="debug" PAUSE >NUL
IF "%1"=="DEBUG" GOTO TYPESCR
IF "%1"=="debug" GOTO TYPESCR
TYPE C:\00\HSPF\HSPFOPEN.SCR
PAUSE >NUL
REM  ----- Label TYPESCR ----------------------------------------------------
:TYPESCR
CLS
ECHO #
ECHO #----------------------------------------------------------------------#
ECHO ##  Executing HSPF DOS command file.
ECHO #----------------------------------------------------------------------#
ECHO #
ECHO #
ECHO ##  Loading HSPF DOS batch command file...wait.
REM
REM  ----- Label RUNHSPF ----------------------------------------------------
:RUNHSPF
IF "%1"=="DEBUG" XHSPFX
IF "%1"=="debug" XHSPFX
IF "%1"=="DEBUG" GOTO ENDRUN
IF "%1"=="debug" GOTO ENDRUN
ECHO #
ECHO #-------------------------#
ECHO ##  HSPF run beginning.
ECHO #-------------------------#
ECHO #
ECHO #                                   >>HSPF_RUN.LOG
ECHO # ----- RUN DATE/TIME STAMP ----- # >>HSPF_RUN.LOG
ECHO # ----- Begin Execution     ----- # >>HSPF_RUN.LOG
ECHO #                                   >>HSPF_RUN.LOG
DATE <C:\00\HSPF\RETURN1.ANS | FIND "C" >>HSPF_RUN.LOG
TIME <C:\00\HSPF\RETURN1.ANS | FIND "C" >>HSPF_RUN.LOG
ECHO #                                   >>HSPF_RUN.LOG
C:\00\HSPF\XHSPFX %1
ECHO #                                   >>HSPF_RUN.LOG
ECHO # ----- End Execution       ----- # >>HSPF_RUN.LOG
ECHO #                                   >>HSPF_RUN.LOG
DATE <C:\00\HSPF\RETURN1.ANS | FIND "C" >>HSPF_RUN.LOG
TIME <C:\00\HSPF\RETURN1.ANS | FIND "C" >>HSPF_RUN.LOG
ECHO #                                   >>HSPF_RUN.LOG
ECHO # --------------------------------------------------- # >>HSPF_RUN.LOG
REM
REM  ----- Label ENDRUN -----------------------------------------------------
:ENDRUN
ECHO #
ECHO ##  HSPF program execution complete.
ECHO #   Press "<Enter>" key to return to DOS command prompt.
PAUSE >NUL
REM  ----- Label STOP -------------------------------------------------------   
:STOP
ECHO.
IF "%1"=="DEBUG" GOTO FINISH
IF "%1"=="debug" GOTO FINISH
CLS
REM  ----- Label FINISH -----------------------------------------------------   
:FINISH
